| Home | Libraries | People | FAQ | More

#### buffer_side_selector

Enumerates options for side of buffer (left/right w.r.t. directed segment)

###### Description

Around a linestring, a buffer can be defined left or right. Around a polygon, assumed clockwise internally, a buffer is either on the left side (inflates the polygon), or on the right side (deflates the polygon)

###### Synopsis

    enum buffer_side_selector {buffer_side_left, buffer_side_right};

###### Values

Value | Description
--- | ---
buffer_side_left |
buffer_side_right |

###### Header

`#include <boost/geometry/strategies/buffer.hpp>`